TAAS - Feature #60

Customer
09/22/2022 11:42 AM - Anil KV

Status: Reopen Bugs Start date: 09/23/2022
Priority: Normal Due date: 09/27/2022
Assignee: Sreeranjini T % Done: 50%
Category: Estimated time: 30:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Customer

Description

Coding Customer

History

#1 - 09/27/2022 11:11 AM - Anil KV

Deletetion SP
sp_delete_account(binAccountld::BIGINT, intSysActionl::INT, binDeletedUserld::BIGINT, objSpOutRes);

#2 - 09/27/2022 07:21 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added
- File 5-TsFile.ts added

- File sql.sql added

- File SqlAllAccounts.sql added

- File SqlContract.sql added

- File SqlPersonal.sql added

- File SqlSupplier.sql added

#3 - 10/06/2022 09:53 AM - Muhasin PU
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#4 - 10/07/2022 01:29 PM - Anil KV

accounts.tbl_account->sin_ac_category = 18

#5 - 10/10/2022 06:16 PM - Muhasin PU
- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 40 to 30

Counter Staff & Commission Agent Binding Pending..
Defalut Selected ltems --> Pending..

#6 - 12/01/2022 01:22 PM - Muhasin PU
- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

RECO TYPE PENDING..
#7 - 12/01/2022 05:56 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUNDED *****

1.SET MAIN LEDGER MANDATORY

2.ALLOW DUPLICATION ON NAME

3.ADDITIONAL INFO--> COUNTER STAFF ADD ERROR
4.CONTRACT --> SET VALIDATION ON DATE

DONT ALLOW UPDATE WITHOUT PROPER DATA

#8 - 12/02/2022 11:37 AM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

FIXED.

#9 - 12/05/2022 10:20 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.SET VALIDATION ON DATE PICKER

2.SET VALIDATION ON CREDIT LIMIT & GRACE PERIOD
3.SET ALIGNMENT ON JOIN DATE,TRN,PHONE NO., & EMAIL

#10 - 12/05/2022 04:15 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 01/07/2023 10:40 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Ul CHANGES

In Additional tab

1) After Counter Staff Field, Add New Field Follow Staff (Employee Entry Completion-Code-Name Splitted)
2) Add New Field Reco Staff (Employee Entry Completion-Code-Name Splitted)

Validation -> Not Mandatory

#12 - 01/11/2023 03:51 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

All CHANGES UPDATED.

#13 - 03/15/2023 05:38 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Update region - Act as supplier

#14 - 03/16/2023 05:00 PM - Amal Cyriac

ISSUE FOUND *****

1.Update region - Act as supplier

2.Fix bugs on selection box - drop down button missing
(Receipt Mode)
#15 - 03/20/2023 06:21 PM - Muhasin PU
FIXED.

#16 - 03/20/2023 06:21 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 05/09/2023 03:39 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.In Currency Multi Selection Box widget Tick "BASE1 (QAR)" Then Select "BASE1 (QAR)" as default currency

#18 - 05/09/2023 04:04 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Resolved.”

#19 - 05/23/2023 06:20 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Error on console while focus out from auto completion fields

#20 - 05/23/2023 06:40 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

FIXED.

#21 - 05/30/2023 06:27 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Error on console while create contract

#22 - 05/31/2023 11:30 AM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Fixed.

Console Error Solved.

Precisions Based on Currencies & settings(%) Added.
key press number only added.

#23 - 06/12/2023 06:50 PM - Amal Cyriac

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee changed from Muhasin PU to Junaid M

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set mandatory fields red and required
(Set red star on Status)

2.Set tool tips on GUI - Date Picker
3.Fix bugs on GUI while switching tabs
(Set similar height for all tabs)
4.Use proper labels on Receipt Mode multi selection box

#24 - 06/22/2023 05:24 PM - Amal Cyriac

ISSUE FOUND *****

1.Set mandatory fields red and required

(Set red star on Status)

2.Set tool tips on GUI - Date Picker
3.Connect module with Set Main Ledger GUI

#25 - 08/22/2023 06:09 PM - unnikannan S
1.CONNECT MODULE WITH SET MAIN LEDGER

#26 - 09/28/2023 09:09 PM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#27 - 10/07/2023 04:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.CORRECT TOOL TIP SPELLING (DEFAULT CURRENCY)

2.REMOVE BLANK OPTION FROM APPROVAL STATUS

3.ADD MANDATORY FIELD FOR STATUS AND APPROVAL STATUS

4.ADD CODES FOR AUTO INVOICE BRANCH

5.DONT ALLOW ISSUED BY TAB TO ADD RATHER THAN COUNTRY NAME

#28 - 10/07/2023 04:14 PM - unnikannan S

unnikannan S wrote in #note-27:
ISSUE FOUNDED

1.CORRECT TOOL TIP SPELLING (DEFAULT CURRENCY)

2.REMOVE BLANK OPTION FROM APPROVAL STATUS

3.ADD MANDATORY FIELD FOR STATUS AND APPROVAL STATUS

4.ADD CODES FOR AUTO INVOICE BRANCH

5.DONT ALLOW ISSUED BY TAB TO ADD RATHER THAN COUNTRY NAME
6.DATES GOING TO PAST

#29 - 10/07/2023 05:56 PM - unnikannan S

unnikannan S wrote in #note-28:
unnikannan S wrote in #note-27:
ISSUE FOUNDED

1.CORRECT TOOL TIP SPELLING (DEFAULT CURRENCY)

2.REMOVE BLANK OPTION FROM APPROVAL STATUS

3.ADD MANDATORY FIELD FOR STATUS AND APPROVAL STATUS

4.ADD CODES FOR AUTO INVOICE BRANCH

5.DONT ALLOW ISSUED BY TAB TO ADD RATHER THAN COUNTRY NAME
6.DATES GOING TO PAST

7.CONNECT MODULE WITH PRINT

#30 - 10/14/2023 12:31 PM - unnikannan S

unnikannan S wrote in #note-29:
unnikannan S wrote in #note-28:
unnikannan S wrote in #note-27:
ISSUE FOUNDED

1.CORRECT TOOL TIP SPELLING (DEFAULT CURRENCY)

2.REMOVE BLANK OPTION FROM APPROVAL STATUS

3.ADD MANDATORY FIELD FOR STATUS AND APPROVAL STATUS

4.ADD CODES FOR AUTO INVOICE BRANCH

5.DONT ALLOW ISSUED BY TAB TO ADD RATHER THAN COUNTRY NAME

6.DATES GOING TO PAST - (EXPIRY DATES,CONTRACT EXPIRY DATES, JOINNING DATE)
7.CONNECT MODULE WITH PRINT

#31 - 10/17/2023 03:04 PM - Anil KV
- Assignee changed from Junaid M to Vivekp V

#32 - 11/02/2023 08:07 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.CORRECT TOOL TIP SPELLING (DEFAULT CURRENCY)

2.REMOVE BLANK OPTION FROM APPROVAL STATUS

3.ADD MANDATORY FIELD FOR STATUS AND APPROVAL STATUS

4.ADD CODES FOR AUTO INVOICE BRANCH

5.DONT ALLOW ISSUED BY TAB TO ADD RATHER THAN COUNTRY NAME

6.DATES GOING TO PAST - (EXPIRY DATES,CONTRACT EXPIRY DATES, JOINNING DATE)
7.CONNECT MODULE WITH PRINT

#33 - 11/03/2023 11:07 AM - unnikannan S
TESTING DONE

#34 - 11/03/2023 11:11 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED
1.ADD BLANK OPTION FOR NON MANDATORY FIELDS (INSIDE DATA DROP DOWN FILTERS)
#35 - 11/03/2023 11:52 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.ADD BLANK OPTION FOR NON MANDATORY FIELDS (INSIDE DATA DROP DOWN FILTERS)
2.CHANGE APPROVED BY TO BY:

#36 - 12/14/2023 04:44 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE CLEARING SAVED ACCOUNTS CURRENCY DATAS AND TRY TO UPDATE
2.ERROR WHILE TRY TO ADD BLANK OPTIONS IN DROP DOWN FIELD AND UPDATE (SYSTEM,ACT ASFIELDS)
#37 - 12/14/2023 05:57 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.ERROR WHILE CLEARING SAVED ACCOUNTS CURRENCY DATAS AND TRY TO UPDATE
2.ERROR WHILE TRY TO ADD BLANK OPTIONS IN DROP DOWN FIELD AND UPDATE (SYSTEM,ACT ASFIELDS)

#38 - 12/15/2023 09:56 AM - unnikannan S
TESTING DONE

#39 - 02/02/2024 02:34 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Gui Change-> Add Security Tab [GUI Given]

#40 - 02/02/2024 07:58 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Gui CHanges DOne

#41 - 02/10/2024 04:46 PM - unnikannan S
ISSUE FOUNDED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A
SUPPLIER/AGENT
(Discuss With Anil Sir for Changes )

#42 - 02/10/2024 04:46 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#43 - 02/14/2024 10:10 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A
SUPPLIER/AGENT
(Discuss With Anil Sir for Changes )

#44 - 02/15/2024 12:36 PM - unnikannan S
TESTING DONE

#45 - 02/26/2024 06:26 PM - Vivekp V
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#46 - 03/05/2024 05:33 PM - Anil KV
Changes

1) Corporate Booking Rules

—> Load The customer and all customer booking rules

-> Default tick The customer booking rules[Add Set Corporate Booking Rules with Customer then update customer
table also, So automatic tick]

05/03/2025 6/15



#47 - 03/08/2024 11:58 AM - unnikannan S

- Status changed from New Changes to Reopen Bugs

ISSUE FOUNDED

1.CONSIDER MAIN LEDGER CHANGES IN Ul AS PER THE SELECTIONS IN SET MAIN LEDGER MODULE

#48 - 03/08/2024 12:43 PM - Vivekp V
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

ISSUE FIXED

1.CONSIDER MAIN LEDGER CHANGES IN Ul AS PER THE SELECTIONS IN SET MAIN LEDGER MODULE

2.customer security tab coding done

#49 - 03/16/2024 04:24 PM - unnikannan S
- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

ISSUE FOUNDED

1.FIX CURRRENCY CODE BUG WHILE CHANGING CURRENCY IN SECURITY TAB
#50 - 03/16/2024 04:45 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.FIX CURRRENCY CODE BUG WHILE CHANGING CURRENCY IN SECURITY TAB
#51 - 03/16/2024 04:46 PM - Vivekp V

- Status changed from Reopen Bugs Coding Done to Particialy Coding Done
- % Done changed from 70 to 40

#52 - 04/02/2024 03:54 PM - Vivekp V
- Status changed from Particialy Coding Done to New Changes Coding Done
- % Done changed from 40 to 70

corporate booking rules added

#53 - 06/19/2024 05:46 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clear Blank Option From Round Rule

#54 - 06/20/2024 09:18 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Clear Blank Option From Round Rule

#55 - 06/20/2024 09:35 AM - unnikannan S
TESTING DONE

#56 - 07/26/2024 03:47 PM - Avinash MS
GUI Changes

System Tab -> Bill Submission -> Change Rename Monthly to Monthly/Month (min 1 max 6)-Default 1
System Tab -> Add Blue Star and Title to Bill Submission.
Apply this changes to Supplier tab while checking Act As Supplier Checkbox

#57 - 07/26/2024 03:48 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#58 - 07/26/2024 03:49 PM - Avinash MS

- Status changed from Reopen Bugs to New Changes

#59 - 07/29/2024 02:12 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

GUI Changes DONE

Up On Checking Act As Client & Act As Supplier

Customer & Supplier Tab -> Bill Submission -> Change Rename Monthly to Monthly/Month (min 1 max 6)-Default 1

Customer & Supplier Tab -> Add Blue Star and Title to Bill Submission.

#60 - 08/07/2024 02:35 PM - Avinash MS
- Status changed from New Changes Coding Done to New Changes
- % Done changed from 70 to 50

GUI Change

System Tab -> Change in Bill Submission While Change in Payment Terms (Refer Payment Terms)
Apply this change in Supplier Tab while checking "Act As Supplier"

#61 - 08/22/2024 11:00 AM - Arathy PS

- Status changed from New Changes to Reopen Bugs

Validation change

Remove the validation for ID expiry date

#62 - 08/22/2024 02:43 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Validation change DONE

Remove the validation for ID expiry date

#63 - 08/28/2024 06:54 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes
- Assignee changed from Vivekp V to travvise Admin

- % Done changed from 70 to 50

GUI Changes - For Whatsapp phone number

Personal Tab -> Phone

—-> Split phone Entry box to two entry box. *greenstar before whatsapp no entrybox
-> Need db field in personal data table vhr_whatsapp_no VARCHAR , ask junaid

After this change done, In Account search sgl query perform phone number search on both
#64 - 09/26/2024 09:46 AM - Anonymous

- Assignee changed from travvise Admin to Augustin Jose

#65 - 09/30/2024 03:05 PM - Augustin Jose
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#66 - 10/03/2024 11:31 AM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE Fixed

1) Can't delete an account if it is approved via account approve (also check other accounts)- (Use skip table feature).
2) Block letters entry in phone number and WhatsApp no: field.

New Changes

1) DONE - Add Cost Center Tab - Changes GUI page ask junaid

#67 - 10/14/2024 10:28 AM - Arathy PS

- Status changed from Reopen Bugs to New Changes

#68 - 10/17/2024 01:31 PM - Junaid M

- Assignee changed from Augustin Jose to Greeshma S

#69 - 10/17/2024 01:35 PM - Junaid M

New Changes

In Cost Center Tab

1) Add these widgets in pop-up

Show in SOA Selectbox. options are "Custom Field 1", "Custom Field 2", "Custom Field 3", "Custom Field 4", "Custom Field 5". value
CUSTOM_FIELD_1,...etc

Show in Invoice Print options. same as above

Show in Refund Print . options same as above

2) Save Cost Center data as JSON in "accounts.tbl_customer->arj_corporate_cost_centre JSON ARRAY"

#70 - 10/21/2024 03:01 PM - Greeshma S
- Status changed from New Changes to Coding Started
- % Done changed from 50 to 30

#71 - 10/22/2024 09:28 AM - Greeshma S
- Status changed from Coding Started to New Changes Coding Done
- % Done changed from 30 to 70

#72 - 11/04/2024 04:32 PM - Junaid M
- Status changed from New Changes Coding Done to New Changes
- Assignee changed from Greeshma S to Sreeranjini T

- % Done changed from 70 to 50

New Changes

In System Tab
1. After Invoice Format, Add "Cash Invoice Format, Refund Format, Cash Refund Format" (Widget: Select box). Add title.

#73 - 11/05/2024 05:34 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#74 - 11/09/2024 06:30 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs
- Assignee changed from Sreeranijini T to Greeshma S

- % Done changed from 70 to 50

ISSUE FOUND

1. In cost center tab can add with empty fields.

2. If checkbox near mandatory field is ticked then click the add button the tick mark is removed.
3. Head cost center should be mandatory with red star.

4. Add a check box in head cost center with title --> group name/cost center header.

5. Give blue star to parent cost center with title.

6 ) .

7

. Data on loading when the saving the data mandatory tick box ticked.
#75 - 11/12/2024 11:13 AM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#76 - 11/21/2024 11:34 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

NEW CHANGE

1. Add Show In SOA, show In Invoice Print, show In Refund Print fields above the grid.

#77 - 11/23/2024 06:27 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#78 - 11/25/2024 11:48 AM - Arathy PS
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#79 - 11/25/2024 12:09 PM - Arathy PS
- Status changed from New Changes Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Issue on edit mode with cost center added.

#80 - 11/26/2024 09:24 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#81 - 12/02/2024 06:42 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. On adding a cost center with parent at first then ticking the checkbox and making it the parent then it is becoming parent and also showing the
selected parent

#82 - 12/03/2024 06:26 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#83 - 12/09/2024 03:40 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#84 - 01/03/2025 03:58 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

1. In the system tab add a new field below corporate booking rule with drop down : customer card(default), agency card, pax card
--blue star

title: if choosen here then this will by default load in all issue modules

--> Need Db field ask Anil

#85 - 01/10/2025 09:53 AM - Junaid M

- Assignee changed from Greeshma S to Sreeranjini T

#86 - 01/10/2025 10:06 AM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#87 - 01/20/2025 02:24 PM - Arathy PS
- File clipboard-202501201424-gklge.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

Customer

CodelName* | cusoos AHAMMED ABULLAH Personal  Additional Info  System  Contract Branch® ~Security = Cost Centre B Update
Display Name*

Main Ledger” | Sundry Debtors v

i
Cumeny” | INR % 5 more - | QAR v #  CostCentre Parent Status %
Group™ v Type™ v 1 ol Active & W
Category* v Family* v 2 | o2 Active PR
SystemType® | Indlividu! - Act As Supplier Act As Commission Agent N . Active é o

Remarks 4 o4 Active &

Mandatory® + Add T @ =5 -

Privilege To™ | @ | Admin Management 4 more -
Status’ | Active v
Approval Status* | Active v By

Created By:  Administrator (16/01/2023 11:10 AM)
Medified By:  admin (16/01/2025 11:11 AM) [1]

ann

# Code Name Currency Main Ledger Phone Email Status

1 Ccusoo1 ANHAAR AHMAAN QAR Sundry Debtors Active &
2 Cusoo2 JASHMEEN ISHAAR MUNEER QAR Sundry Debtors Active &
3 Cusoo3 AHAMMED ABULLAH QAR Sundry Debtors Active &
4 Cusoo4 AJAAZ ANWAR DAMAN QAR Sundry Debtors Active &
5 Cusoos Customer 1 QAR Sundry Debtors Active &

#88 - 01/22/2025 04:09 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#89 - 01/23/2025 10:13 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Fixed

1)Cost center tab values is not clearing on New button click.
2)If parent cost center and child cost center name is same Parent name is disapearing.

#90 - 01/24/2025 09:39 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#91 - 01/24/2025 11:40 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#92 - 01/24/2025 05:42 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES DONE

1.In the System Tab-> after 'Customer Card'-- Card No*B -->Masking | Expiry Date.

Title --> BTA Account Number(Eg:- 15 digit American Express Card Number. Always start with 37).

#93 - 01/27/2025 09:39 AM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#94 - 02/03/2025 11:39 AM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#95 - 02/06/2025 12:13 PM - Arathy PS
NEW CHANGES

Cardmember Name // title->Corporation Name
AEME Approval Code // title->6 Digits Unique number

#96 - 02/07/2025 12:28 PM - Theja Ponon
- Status changed from New Changes Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue FIXED

1)Error on taking edit mode after updation - issue on costcentre tab

#97 - 02/10/2025 10:33 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#98 - 02/10/2025 12:19 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#99 - 02/21/2025 12:01 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50
Issue Fixed

1)After clicking new corporate booking rule set for previous customer is not clearing

#100 - 02/21/2025 06:22 PM - Sreeranijini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#101 - 02/24/2025 10:19 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#102 - 03/07/2025 09:51 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes
- % Done changed from 90 to 50

NEW CHANGES DONE

--> Add "CR Number in right side of TRN Number
--> Move Join Date to below

--> Db field “Personal Data --> vhr_cr_no’

--> Add ts, c# model field and update SP

#103 - 03/07/2025 04:27 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#104 - 03/20/2025 10:43 AM - Arathy PS
- File clipboard-202503201043-7q4jq.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

In the cost centre tab mandatory field overlaps with add button-- adjust the alignment

Customer 2o = | ven - [ -

Code|Name* Personal  Additional Info  System  Contract Branch* Security = Cost Centre

Display Name*

Miin Ladeer - Mandatory™ () Add Y Q = O
:
Currency* | QAR - QAR ~ # Cost Centre Parent Status
Group™ v Type® ~
Category* v Family*™ ~
System Type  [ndividual(82) o Act As Supplier’ Act As Commission Agent
Remarks No data
A
Privilege To* | @ | Admin Management 4 more -
Status | Active ~

Approval Status” | Active V-

Created By:
Modified By:

#105 - 03/20/2025 03:51 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#106 - 04/02/2025 12:19 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

New change Done

05/03/2025 13/15



1)int_sys_cost_center,int_sys_parent_cost_center add in arj_corporate_cost_centre field
2)Add restriction when creating child with same name for a single parent

#107 - 04/03/2025 06:14 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#108 - 04/10/2025 12:02 PM - Theja Ponon

- File clipboard-202504101116-0t7ww.png added
- File clipboard-202504101122-ymhrs.png added
- File clipboard-202504101137-k1xdi.png added

Issue Found

1)Parent cost center is not loading

a)Add a costcenter as parent

b)Add another cost center with same name (as parent)

c)An error message will generate ,after that remove the checkbox and make it child and check the parent cost center field
clipboard-202504101116-0t7ww.png

2)Can create child cost center with same name for a parent

Mandatory” @ + Add T @ = [H
- Cost Centre Parent Status
1 A Active & I
2 a A Active & I
3 a A Active & I
3)Issue on alignment
=
Personal Additional Infe  System  Contract  Branch® Security  Supplier*  Cost Centre l
Payment Mede | (agh Debit & Credit Card{Agency) 9 more - l
Main Ledger® | Syndry Debtors v I
Credit Limit In QAR®* | 15000.00 Credit Limit Based Basel Currency QAR
On : l
Payment Terms®  Same Month Based On Transaction Date Y l
Bill Submission® Weekly(Sun-5at) e
Grace Period Days® | 1 Matching v
Region Select -
Tax On Commission 10.00 % 0.00 Rounding Rule Normal 1 Up/Down >
Cut And Pay Commission @ Reverse Charge
Reco File Format A Reco Type “
Tax Payable A Tax Posting “

#109 - 04/10/2025 12:02 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs

05/03/2025 14/15



- % Done changed from 70 to 50

#110 - 04/28/2025 02:08 PM - Theja Ponon

Issue Found

1)Credit limit based on is changes on reloading

Files

1-CsModel.cs 3.12KB 09/27/2022 Anil KV
2-tsModel.ts 2.38 KB 09/27/2022 Anil KV
3-CsFile.cs 9.96 KB 09/27/2022 Anil KV
4-CsControllerFile.cs 25.3 KB 09/27/2022 Anil KV
sql.sql 16.2 KB 09/27/2022 Anil KV
5-TsFile.ts 14.3 KB 09/27/2022 Anil KV
SqlContract.sql 4.58 KB 09/27/2022 Anil KV
SqlAllAccounts.sql 151 KB 09/27/2022 Anil KV
SqlPersonal.sql 10.1 KB 09/27/2022 Anil KV
SqlSupplier.sql 16.6 KB 09/27/2022 Anil KV
clipboard-202501201424-gkige.png 139 KB 01/20/2025 Arathy PS
clipboard-202503201043-794jg.png 79.4 KB 03/20/2025 Arathy PS
clipboard-202504101116-0t7ww.png 119 KB 04/10/2025 Theja Ponon
clipboard-202504101122-ymhrs.png 17.1 KB 04/10/2025 Theja Ponon
clipboard-202504101137-k1xdi.png 38.3 KB 04/10/2025 Theja Ponon
